<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Thu Sep 23 16:01:26 CEST 2021 -->
<title>SirenePOI</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-09-23">
<meta name="description" content="declaration: package: fr.ici.dataImporter.insee, class: SirenePOI">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var data = {"i0":10,"i1":10,"i2":9,"i3":10,"i4":9,"i5":10,"i6":9,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":9,"i14":9,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/SirenePOI.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">fr.ici.dataImporter.insee</a></div>
<h1 title="Class SirenePOI" class="title">Class SirenePOI</h1>
</div>
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance"><a href="../iciObjects/ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">fr.ici.dataImporter.iciObjects.ICIObject</a>
<div class="inheritance"><a href="../iciObjects/POI.html" title="class in fr.ici.dataImporter.iciObjects">fr.ici.dataImporter.iciObjects.POI</a>
<div class="inheritance"><a href="SireneEntry.html" title="class in fr.ici.dataImporter.insee">fr.ici.dataImporter.insee.SireneEntry</a>
<div class="inheritance">fr.ici.dataImporter.insee.SirenePOI</div>
</div>
</div>
</div>
</div>
<section class="description">
<dl class="notes">
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="../util/CSVable.html" title="interface in fr.ici.dataImporter.util">CSVable</a></code></dd>
</dl>
<hr>
<pre>public class <span class="type-name-label">SirenePOI</span>
extends <a href="SireneEntry.html" title="class in fr.ici.dataImporter.insee">SireneEntry</a></pre>
<div class="block">Object for a Point Of Interest extracted from the SIRENE database</div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- =========== FIELD SUMMARY =========== -->
<li>
<section class="field-summary" id="field.summary">
<h2>Field Summary</h2>
<div class="inherited-list">
<h3 id="fields.inherited.from.class.fr.ici.dataImporter.insee.SireneEntry">Fields inherited from class&nbsp;fr.ici.dataImporter.insee.<a href="SireneEntry.html" title="class in fr.ici.dataImporter.insee">SireneEntry</a></h3>
<code><a href="SireneEntry.html#completeAddress">completeAddress</a>, <a href="SireneEntry.html#gf">gf</a>, <a href="SireneEntry.html#nomenclatureFile">nomenclatureFile</a>, <a href="SireneEntry.html#siret">siret</a>, <a href="SireneEntry.html#sorting">sorting</a>, <a href="SireneEntry.html#workforce">workforce</a>, <a href="SireneEntry.html#workforceReadable">workforceReadable</a></code></div>
<div class="inherited-list">
<h3 id="fields.inherited.from.class.fr.ici.dataImporter.iciObjects.POI">Fields inherited from class&nbsp;fr.ici.dataImporter.iciObjects.<a href="../iciObjects/POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a></h3>
<code><a href="../iciObjects/POI.html#address">address</a>, <a href="../iciObjects/POI.html#attendance">attendance</a>, <a href="../iciObjects/POI.html#attendanceIndice">attendanceIndice</a>, <a href="../iciObjects/POI.html#capacity">capacity</a>, <a href="../iciObjects/POI.html#codeINSEE">codeINSEE</a>, <a href="../iciObjects/POI.html#codePost">codePost</a>, <a href="../iciObjects/POI.html#idBuilding">idBuilding</a>, <a href="../iciObjects/POI.html#lSource">lSource</a>, <a href="../iciObjects/POI.html#nAddress">nAddress</a>, <a href="../iciObjects/POI.html#name">name</a>, <a href="../iciObjects/POI.html#nomenclature">nomenclature</a>, <a href="../iciObjects/POI.html#openingHour">openingHour</a>, <a href="../iciObjects/POI.html#openLockdownMarch20">openLockdownMarch20</a>, <a href="../iciObjects/POI.html#openLockdownNov20">openLockdownNov20</a>, <a href="../iciObjects/POI.html#p">p</a>, <a href="../iciObjects/POI.html#potentialArea">potentialArea</a>, <a href="../iciObjects/POI.html#typeCodeSource">typeCodeSource</a>, <a href="../iciObjects/POI.html#typeNameIci">typeNameIci</a>, <a href="../iciObjects/POI.html#typeNameSource">typeNameSource</a>, <a href="../iciObjects/POI.html#typeRoad">typeRoad</a>, <a href="../iciObjects/POI.html#valid">valid</a></code></div>
<div class="inherited-list">
<h3 id="fields.inherited.from.class.fr.ici.dataImporter.iciObjects.ICIObject">Fields inherited from class&nbsp;fr.ici.dataImporter.iciObjects.<a href="../iciObjects/ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></h3>
<code><a href="../iciObjects/ICIObject.html#DEBUG">DEBUG</a>, <a href="../iciObjects/ICIObject.html#rdGen">rdGen</a></code></div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor.summary">
<h2>Constructor Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Constructors</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Constructor</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String)">SirenePOI</a></span>&#8203;(java.lang.String&nbsp;nAddress,
java.lang.String&nbsp;address,
java.lang.String&nbsp;prefixNAddress,
java.lang.String&nbsp;zipCode,
java.lang.String&nbsp;amenityCodeSource,
java.lang.String&nbsp;nomenclature,
java.lang.String&nbsp;name,
java.lang.String&nbsp;siret,
java.lang.String&nbsp;workforce)</code></th>
<td class="col-last">
<div class="block">Constructor to create POI before geocoding</div>
</td>
</tr>
<tr class="row-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,org.locationtech.jts.geom.Point)">SirenePOI</a></span>&#8203;(java.lang.String&nbsp;ID,
java.lang.String&nbsp;nAddress,
java.lang.String&nbsp;address,
java.lang.String&nbsp;prefixNAddress,
java.lang.String&nbsp;zipCode,
java.lang.String&nbsp;amenityCodeSource,
java.lang.String&nbsp;amenityNameSource,
java.lang.String&nbsp;typeNameIci,
java.lang.String&nbsp;nomenclature,
java.lang.String&nbsp;name,
java.lang.String&nbsp;siret,
java.lang.String&nbsp;workforce,
org.locationtech.jts.geom.Point&nbsp;p)</code></th>
<td class="col-last">
<div class="block">Constructor to import POI</div>
</td>
</tr>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,org.locationtech.jts.geom.Point)">SirenePOI</a></span>&#8203;(java.lang.String&nbsp;nAddress,
java.lang.String&nbsp;address,
java.lang.String&nbsp;prefixNAddress,
java.lang.String&nbsp;zipCode,
java.lang.String&nbsp;amenityCodeSource,
java.lang.String&nbsp;nomenclature,
java.lang.String&nbsp;name,
java.lang.String&nbsp;siret,
java.lang.String&nbsp;workforce,
org.locationtech.jts.geom.Point&nbsp;p)</code></th>
<td class="col-last">
<div class="block">Constructor to create POI with geometry</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div class="member-summary" id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="table-tab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="table-tab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="table-tab" onclick="show(8);">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><code>boolean</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#equals(fr.ici.dataImporter.insee.SirenePOI)">equals</a></span>&#8203;(<a href="SirenePOI.html" title="class in fr.ici.dataImporter.insee">SirenePOI</a>&nbsp;in)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><code>boolean</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#equals(java.lang.String%5B%5D)">equals</a></span>&#8203;(java.lang.String[]&nbsp;line)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i2">
<td class="col-first"><code>static java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#generateAttendance(java.lang.String,java.lang.String,java.lang.String)">generateAttendance</a></span>&#8203;(java.lang.String&nbsp;workforce,
java.lang.String&nbsp;amenityCode,
java.lang.String&nbsp;frequency)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i3">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getAdresse()">getAdresse</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i4">
<td class="col-first"><code>static java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getAmenityTypeNameFromNAFs(java.lang.String,java.lang.String)">getAmenityTypeNameFromNAFs</a></span>&#8203;(java.lang.String&nbsp;amenityCode,
java.lang.String&nbsp;nomenclature)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i5">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getCodePos()">getCodePos</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i6">
<td class="col-first"><code>static java.lang.String[]</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getCSVFirstLine()">getCSVFirstLine</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i7">
<td class="col-first"><code>java.lang.String[]</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getLineForCSV()">getLineForCSV</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i8">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getnAdresse()">getnAdresse</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i9">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getSiret()">getSiret</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i10">
<td class="col-first"><code>java.lang.String[]</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getSorting()">getSorting</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i11">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getTrancheEffectifsUniteLegale()">getTrancheEffectifsUniteLegale</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i12">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getTypeRoad()">getTypeRoad</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i13">
<td class="col-first"><code>static java.util.List&lt;<a href="SireneEntry.html" title="class in fr.ici.dataImporter.insee">SireneEntry</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#importSirenePOI(java.io.File)">importSirenePOI</a></span>&#8203;(java.io.File&nbsp;sireneEntryFile)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i14">
<td class="col-first"><code>static int</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#maxAffluenceIndicator(org.geotools.data.simple.SimpleFeatureCollection)">maxAffluenceIndicator</a></span>&#8203;(org.geotools.data.simple.SimpleFeatureCollection&nbsp;poiSFC)</code></th>
<td class="col-last">
<div class="block">Get the maximum of the importance of the POI.</div>
</td>
</tr>
<tr class="row-color" id="i15">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setAdresse(java.lang.String)">setAdresse</a></span>&#8203;(java.lang.String&nbsp;adresse)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i16">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setCodePos(java.lang.String)">setCodePos</a></span>&#8203;(java.lang.String&nbsp;codePos)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i17">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setnAdresse(java.lang.String)">setnAdresse</a></span>&#8203;(java.lang.String&nbsp;nAdresse)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i18">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setSiret(java.lang.String)">setSiret</a></span>&#8203;(java.lang.String&nbsp;siren)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i19">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setSorting(java.lang.String%5B%5D)">setSorting</a></span>&#8203;(java.lang.String[]&nbsp;classement)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i20">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setTrancheEffectifsUniteLegale(java.lang.String)">setTrancheEffectifsUniteLegale</a></span>&#8203;(java.lang.String&nbsp;trancheEffectifsUniteLegale)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i21">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setTypeRoad(java.lang.String)">setTypeRoad</a></span>&#8203;(java.lang.String&nbsp;typeRoad)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.fr.ici.dataImporter.insee.SireneEntry">Methods inherited from class&nbsp;fr.ici.dataImporter.insee.<a href="SireneEntry.html" title="class in fr.ici.dataImporter.insee">SireneEntry</a></h3>
<code><a href="SireneEntry.html#generateSireneSimpleFeature()">generateSireneSimpleFeature</a>, <a href="SireneEntry.html#getAverageWorkingForce(int)">getAverageWorkingForce</a>, <a href="SireneEntry.html#getAverageWorkingForce(org.opengis.feature.simple.SimpleFeature)">getAverageWorkingForce</a>, <a href="SireneEntry.html#getRandomWorkingForce(int)">getRandomWorkingForce</a>, <a href="SireneEntry.html#getSireneSFB()">getSireneSFB</a>, <a href="SireneEntry.html#isActive(java.lang.String)">isActive</a>, <a href="SireneEntry.html#makeSorting()">makeSorting</a>, <a href="SireneEntry.html#makeWorkforceSum(org.geotools.data.simple.SimpleFeatureCollection)">makeWorkforceSum</a>, <a href="SireneEntry.html#normalizeCodeAmenity(java.lang.String)">normalizeCodeAmenity</a>, <a href="SireneEntry.html#transformWorkforce(java.lang.String,boolean)">transformWorkforce</a></code></div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.fr.ici.dataImporter.iciObjects.POI">Methods inherited from class&nbsp;fr.ici.dataImporter.iciObjects.<a href="../iciObjects/POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a></h3>
<code><a href="../iciObjects/POI.html#affectRoomLeft(java.util.List,java.util.List,java.io.File,java.util.List)">affectRoomLeft</a>, <a href="../iciObjects/POI.html#canBeDoubled()">canBeDoubled</a>, <a href="../iciObjects/POI.html#canBeDoubled(java.io.InputStream)">canBeDoubled</a>, <a href="../iciObjects/POI.html#delDouble(java.util.List,java.util.List,java.io.File,java.util.HashMap)">delDouble</a>, <a href="../iciObjects/POI.html#exportListPOI(java.util.List,java.io.File)">exportListPOI</a>, <a href="../iciObjects/POI.html#generateAttendanceCode(java.lang.String)">generateAttendanceCode</a>, <a href="../iciObjects/POI.html#generateSimpleFeature()">generateSimpleFeature</a>, <a href="../iciObjects/POI.html#getAttendance()">getAttendance</a>, <a href="../iciObjects/POI.html#getIciAmenity(java.lang.String,java.lang.String)">getIciAmenity</a>, <a href="../iciObjects/POI.html#getIdentification()">getIdentification</a>, <a href="../iciObjects/POI.html#getSFB()">getSFB</a>, <a href="../iciObjects/POI.html#importPOI(java.io.File)">importPOI</a>, <a href="../iciObjects/POI.html#importPOIFromUsualSources(java.io.File,java.util.List)">importPOIFromUsualSources</a>, <a href="../iciObjects/POI.html#isValid()">isValid</a>, <a href="../iciObjects/POI.html#relocatePOItoClosestBuilding(java.util.List,java.util.List)">relocatePOItoClosestBuilding</a>, <a href="../iciObjects/POI.html#setPotentialArea(double)">setPotentialArea</a>, <a href="../iciObjects/POI.html#toString()">toString</a></code></div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.fr.ici.dataImporter.iciObjects.ICIObject">Methods inherited from class&nbsp;fr.ici.dataImporter.iciObjects.<a href="../iciObjects/ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></h3>
<code><a href="../iciObjects/ICIObject.html#equals(java.lang.Object)">equals</a>, <a href="../iciObjects/ICIObject.html#getID()">getID</a>, <a href="../iciObjects/ICIObject.html#getType()">getType</a>, <a href="../iciObjects/ICIObject.html#hashCode()">hashCode</a>, <a href="../iciObjects/ICIObject.html#setRdGen(java.util.Random)">setRdGen</a></code></div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor.detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String)">
<h3>SirenePOI</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">SirenePOI</span>&#8203;(<span class="parameters">java.lang.String&nbsp;nAddress,
java.lang.String&nbsp;address,
java.lang.String&nbsp;prefixNAddress,
java.lang.String&nbsp;zipCode,
java.lang.String&nbsp;amenityCodeSource,
java.lang.String&nbsp;nomenclature,
java.lang.String&nbsp;name,
java.lang.String&nbsp;siret,
java.lang.String&nbsp;workforce)</span>
          throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Constructor to create POI before geocoding</div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="&lt;init&gt;(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,org.locationtech.jts.geom.Point)">
<h3>SirenePOI</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">SirenePOI</span>&#8203;(<span class="parameters">java.lang.String&nbsp;nAddress,
java.lang.String&nbsp;address,
java.lang.String&nbsp;prefixNAddress,
java.lang.String&nbsp;zipCode,
java.lang.String&nbsp;amenityCodeSource,
java.lang.String&nbsp;nomenclature,
java.lang.String&nbsp;name,
java.lang.String&nbsp;siret,
java.lang.String&nbsp;workforce,
org.locationtech.jts.geom.Point&nbsp;p)</span>
          throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Constructor to create POI with geometry</div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="&lt;init&gt;(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,org.locationtech.jts.geom.Point)">
<h3>SirenePOI</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">SirenePOI</span>&#8203;(<span class="parameters">java.lang.String&nbsp;ID,
java.lang.String&nbsp;nAddress,
java.lang.String&nbsp;address,
java.lang.String&nbsp;prefixNAddress,
java.lang.String&nbsp;zipCode,
java.lang.String&nbsp;amenityCodeSource,
java.lang.String&nbsp;amenityNameSource,
java.lang.String&nbsp;typeNameIci,
java.lang.String&nbsp;nomenclature,
java.lang.String&nbsp;name,
java.lang.String&nbsp;siret,
java.lang.String&nbsp;workforce,
org.locationtech.jts.geom.Point&nbsp;p)</span>
          throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Constructor to import POI</div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="importSirenePOI(java.io.File)">
<h3>importSirenePOI</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="SireneEntry.html" title="class in fr.ici.dataImporter.insee">SireneEntry</a>&gt;</span>&nbsp;<span class="member-name">importSirenePOI</span>&#8203;(<span class="parameters">java.io.File&nbsp;sireneEntryFile)</span>
                                                   throws <span class="exceptions">java.io.IOException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="generateAttendance(java.lang.String,java.lang.String,java.lang.String)">
<h3>generateAttendance</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">generateAttendance</span>&#8203;(<span class="parameters">java.lang.String&nbsp;workforce,
java.lang.String&nbsp;amenityCode,
java.lang.String&nbsp;frequency)</span>
                                           throws <span class="exceptions">java.io.IOException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getAmenityTypeNameFromNAFs(java.lang.String,java.lang.String)">
<h3>getAmenityTypeNameFromNAFs</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">getAmenityTypeNameFromNAFs</span>&#8203;(<span class="parameters">java.lang.String&nbsp;amenityCode,
java.lang.String&nbsp;nomenclature)</span>
                                                   throws <span class="exceptions">java.io.IOException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="maxAffluenceIndicator(org.geotools.data.simple.SimpleFeatureCollection)">
<h3>maxAffluenceIndicator</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="member-name">maxAffluenceIndicator</span>&#8203;(<span class="parameters">org.geotools.data.simple.SimpleFeatureCollection&nbsp;poiSFC)</span></div>
<div class="block">Get the maximum of the importance of the POI. Used to have an idea on the POI's importance when rasterization</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>poiSFC</code> - collection of POI</dd>
<dt>Returns:</dt>
<dd>the maximum indice</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getCSVFirstLine()">
<h3>getCSVFirstLine</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.lang.String[]</span>&nbsp;<span class="member-name">getCSVFirstLine</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getLineForCSV()">
<h3>getLineForCSV</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String[]</span>&nbsp;<span class="member-name">getLineForCSV</span>()</div>
</section>
</li>
<li>
<section class="detail" id="equals(fr.ici.dataImporter.insee.SirenePOI)">
<h3>equals</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="member-name">equals</span>&#8203;(<span class="parameters"><a href="SirenePOI.html" title="class in fr.ici.dataImporter.insee">SirenePOI</a>&nbsp;in)</span></div>
</section>
</li>
<li>
<section class="detail" id="equals(java.lang.String[])">
<h3>equals</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="member-name">equals</span>&#8203;(<span class="parameters">java.lang.String[]&nbsp;line)</span></div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="SireneEntry.html#equals(java.lang.String%5B%5D)">equals</a></code>&nbsp;in class&nbsp;<code><a href="SireneEntry.html" title="class in fr.ici.dataImporter.insee">SireneEntry</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getnAdresse()">
<h3>getnAdresse</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">getnAdresse</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setnAdresse(java.lang.String)">
<h3>setnAdresse</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setnAdresse</span>&#8203;(<span class="parameters">java.lang.String&nbsp;nAdresse)</span></div>
</section>
</li>
<li>
<section class="detail" id="getAdresse()">
<h3>getAdresse</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">getAdresse</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setAdresse(java.lang.String)">
<h3>setAdresse</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setAdresse</span>&#8203;(<span class="parameters">java.lang.String&nbsp;adresse)</span></div>
</section>
</li>
<li>
<section class="detail" id="getTypeRoad()">
<h3>getTypeRoad</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">getTypeRoad</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setTypeRoad(java.lang.String)">
<h3>setTypeRoad</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setTypeRoad</span>&#8203;(<span class="parameters">java.lang.String&nbsp;typeRoad)</span></div>
</section>
</li>
<li>
<section class="detail" id="getCodePos()">
<h3>getCodePos</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">getCodePos</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setCodePos(java.lang.String)">
<h3>setCodePos</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setCodePos</span>&#8203;(<span class="parameters">java.lang.String&nbsp;codePos)</span></div>
</section>
</li>
<li>
<section class="detail" id="getSiret()">
<h3>getSiret</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">getSiret</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setSiret(java.lang.String)">
<h3>setSiret</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setSiret</span>&#8203;(<span class="parameters">java.lang.String&nbsp;siren)</span></div>
</section>
</li>
<li>
<section class="detail" id="getTrancheEffectifsUniteLegale()">
<h3>getTrancheEffectifsUniteLegale</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">getTrancheEffectifsUniteLegale</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setTrancheEffectifsUniteLegale(java.lang.String)">
<h3>setTrancheEffectifsUniteLegale</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setTrancheEffectifsUniteLegale</span>&#8203;(<span class="parameters">java.lang.String&nbsp;trancheEffectifsUniteLegale)</span></div>
</section>
</li>
<li>
<section class="detail" id="getSorting()">
<h3>getSorting</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String[]</span>&nbsp;<span class="member-name">getSorting</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setSorting(java.lang.String[])">
<h3>setSorting</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setSorting</span>&#8203;(<span class="parameters">java.lang.String[]&nbsp;classement)</span></div>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/SirenePOI.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
